ghc-8.2.2: The GHC API

Safe Haskell | None
Language | Haskell2010

BinFingerprint

Contents

- Computing fingerprints

Description

Computing fingerprints of values serializeable with GHC's Binary module.

Synopsis

- fingerprintBinMem :: BinHandle -> IO Fingerprint
- computeFingerprint :: Binary a => (BinHandle -> Name -> IO ()) -> a -> IO Fingerprint
- putNameLiterally :: BinHandle -> Name -> IO ()

# Computing fingerprints

fingerprintBinMem :: BinHandle -> IO Fingerprint #

computeFingerprint :: Binary a => (BinHandle -> Name -> IO ()) -> a -> IO Fingerprint #

putNameLiterally :: BinHandle -> Name -> IO () #

Used when we want to fingerprint a structure without depending on the fingerprints of external Names that it refers to.